import Link from "next/link";

interface IColumnHeader {
  Header: string;
  accessor: string;
  Cell?: (info: any) => JSX.Element;
}

type Columns = IColumnHeader[];

export const columnsDataBlocks: Columns = [
  {
    Header: 'Role ID',
    accessor: 'id',
    Cell: ({ row }) => (<Link href={`/admin/cases/edit/${row?.original?.id}`}>{row?.original?.id}</Link>),
  },
  { Header: 'Role Name', accessor: 'name' },
];

